commit:     b53d57458c10d3586e3de42e44bc9f01971d9daa
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Apr 12 16:54:24 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Apr 12 17:33:59 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b53d5745

dev-python/cfn-lint: Bump to 0.59.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/cfn-lint/Manifest               |  1 +
 dev-python/cfn-lint/cfn-lint-0.59.0.ebuild | 50 ++++++++++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/dev-python/cfn-lint/Manifest b/dev-python/cfn-lint/Manifest
index 7b103ad6bb25..e47fd7ad88f1 100644
--- a/dev-python/cfn-lint/Manifest
+++ b/dev-python/cfn-lint/Manifest
@@ -1,2 +1,3 @@
 DIST cfn-lint-0.58.3.tar.gz 8779688 BLAKE2B 
0964d477f61ec3dc4f80d59e3b05bc92cba27c0c9293a343bf15ee25df967643adf4d8aaa0c11d336a857957bc19dd1cc711b7fe9014c9c43ffd0171b197c4f5
 SHA512 
9f88f533a6533cf23ce9be83f61cc7418df7775e331ea932f469b391e136a370e5adef9a41a5378dc99d4aec352ababebc1eb59b15d19c0c0c6f19e12410ae06
 DIST cfn-lint-0.58.4.tar.gz 8838063 BLAKE2B 
77caf931c79b90d44c09c7ad63ff928c5217fa3cb9474ce8d3a3151a4a804365293e4304484ae1a2c55acfb2718dddce9f0b26165d35a570c3a7baab3cf76290
 SHA512 
53c24e265eaa8064bc23740376668c4a640571e0e273fc475f70de468be51683f3eacbbce82dddb9e05a23049299b49e660f28d5ef93150a60260fa0f4b77a19
+DIST cfn-lint-0.59.0.tar.gz 9004743 BLAKE2B 
e778c1081e45dacc813f8a4ae7726eb929fabcdbfaafcbbc5f0d925cfe32773851366c9488363728ae42349cbe899a6cacd114940ee8d76dc284b30ea87fe19a
 SHA512 
e8e9d0fb1f366c49f8a008000a808ec4b6c4299ff3c9650229619d8e48f1812709ecd54274163d8bd389c6823f20accd7d31f6147bec926ec233ede3ee51ee10

diff --git a/dev-python/cfn-lint/cfn-lint-0.59.0.ebuild 
b/dev-python/cfn-lint/cfn-lint-0.59.0.ebuild
new file mode 100644
index 000000000000..f3316978d184
--- /dev/null
+++ b/dev-python/cfn-lint/cfn-lint-0.59.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="CloudFormation Linter"
+HOMEPAGE="https://pypi.org/project/cfn-lint/ 
https://github.com/aws-cloudformation/cfn-lint/";
+SRC_URI="
+       https://github.com/aws-cloudformation/cfn-lint/archive/v${PV}.tar.gz
+               -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+       >=dev-python/aws-sam-translator-1.45.0[${PYTHON_USEDEP}]
+       dev-python/jsonpatch[${PYTHON_USEDEP}]
+       >=dev-python/jschema_to_python-1.2.3[${PYTHON_USEDEP}]
+       >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
+       dev-python/junit-xml[${PYTHON_USEDEP}]
+       dev-python/networkx[${PYTHON_USEDEP}]
+       >dev-python/pyyaml-5.4[${PYTHON_USEDEP}]
+       >=dev-python/requests-2.15.0[${PYTHON_USEDEP}]
+       >=dev-python/sarif_om-1.0.4[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+       # TODO
+       test/unit/module/test_template.py::TestTemplate::test_build_graph
+       # requires git repo
+       
test/unit/module/maintenance/test_update_documentation.py::TestUpdateDocumentation::test_update_docs
+       # Internet
+       
test/unit/module/formatters/test_formatters.py::TestFormatters::test_sarif_formatter
+       
test/unit/module/maintenance/test_update_resource_specs.py::TestUpdateResourceSpecs::test_update_resource_specs_python_2
+       
test/unit/module/maintenance/test_update_resource_specs.py::TestUpdateResourceSpecs::test_update_resource_specs_python_3
+)
+
+src_prepare() {
+       # unpin the deps
+       sed -e 's:~=[0-9.]*::' -i setup.py || die
+       distutils-r1_src_prepare
+}

Reply via email to